Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1196290

Summary: Review Request: nodejs-wcwidth - Port of C's wcwidth() and wcswidth()
Product: [Fedora] Fedora Reporter: Zuzana Svetlikova <zsvetlik>
Component: Package ReviewAssignee: Piotr Popieluch <piotr1212>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: lkundrak, package-review, piotr1212
Target Milestone: ---Flags: piotr1212: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-wcwidth-1.0.0-6.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-20 16:07:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1196289    
Bug Blocks: 956806, 1203659    

Description Zuzana Svetlikova 2015-02-25 16:06:13 UTC
Spec URL: https://fedorapeople.org/~humaton/rpms/nodejs-wcwidth.spec
SRPM URL: https://fedorapeople.org/~humaton/rpms/nodejs-wcwidth-1.0.0-3.fc21.src.rpm
Description: Determine columns needed for a fixed-size wide-character string.
Fedora Account System Username: zvetlik

Comment 1 Piotr Popieluch 2015-03-08 20:16:33 UTC
some comments:

- please remove the scl macros, they are not needed for fedora
- remove group: this is only needed if you intend building for epel5
- remove BuildRoot: this is only needed if you intend building for epel5
- remove defattr, this is not needed anymore
- add ExclusiveArch: %{nodejs_arches} noarch for fedora > 19
https://fedoraproject.org/wiki/Packaging:Node.js#ExclusiveArch
- move license from %doc to %license
https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
- add %check sections with tests, see package.json how to call the tests

Comment 3 Piotr Popieluch 2015-03-20 22:39:17 UTC
You should add npm(defaults) to the BR needed for tests.

%if 0%{enable_tests}
BuildRequires:  npm(tape)
BuildRequires:  npm(defaults)
%endif


spec file in srpm differs from spec file from url. Could you please rebuild the srpm with the correct specfile?

Comment 5 Piotr Popieluch 2015-03-21 11:01:47 UTC
APPROVED,

There is one issue which you can fix before importing:

nodejs-wcwidth.noarch: W: invalid-url URL: https://github.com/isaacs/wcwidth HTTP Error 404: Not Found

Url:        https://github.com/isaacs/wcwidth

You can use:
Url:        https://www.npmjs.com/package/wcwidth



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/piotr/rpmbuild/1196290-nodejs-
     wcwidth/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-wcwidth-1.0.0-5.fc23.noarch.rpm
          nodejs-wcwidth-1.0.0-5.fc23.src.rpm
nodejs-wcwidth.noarch: W: spelling-error Summary(en_US) wcswidth -> widths
nodejs-wcwidth.noarch: W: invalid-url URL: https://github.com/isaacs/wcwidth HTTP Error 404: Not Found
nodejs-wcwidth.noarch: W: only-non-binary-in-usr-lib
nodejs-wcwidth.noarch: W: dangling-symlink /usr/lib/node_modules/wcwidth/node_modules/defaults /usr/lib/node_modules/defaults
nodejs-wcwidth.src: W: spelling-error Summary(en_US) wcswidth -> widths
nodejs-wcwidth.src: W: invalid-url URL: https://github.com/isaacs/wcwidth HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-wcwidth (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(defaults)



Provides
--------
nodejs-wcwidth:
    nodejs-wcwidth
    npm(wcwidth)



Source checksums
----------------
http://registry.npmjs.org/wcwidth/-/wcwidth-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : 27506810de2d33233757202d705391f380f4dcc269036bc669d8e0e928f967a3
  CHECKSUM(SHA256) upstream package : 27506810de2d33233757202d705391f380f4dcc269036bc669d8e0e928f967a3


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1196290
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Zuzana Svetlikova 2015-03-21 11:57:35 UTC
URL fixed

New Package SCM Request
=======================
Package Name: nodejs-wcwidth
Short Description: Port of C's wcwidth() and wcswidth()
Upstream URL: https://www.npmjs.com/package/wcwidth
Owners: zvetlik humaton
Branches: f20 f21 f22
InitialCC: humaton

Comment 7 Gwyn Ciesla 2015-03-21 16:42:54 UTC
Git done (by process-git-requests).

Comment 8 Lubomir Rintel 2015-04-20 16:07:13 UTC
Built into f23 it seems...

Comment 9 Zuzana Svetlikova 2015-06-23 14:23:20 UTC
New Package SCM Request
=======================
Package Name: nodejs-wcwidth
Short Description: Port of C's wcwidth() and wcswidth()
Upstream URL: https://www.npmjs.com/package/wcwidth
Owners: zvetlik
Branches: el6 epel7

Comment 10 Gwyn Ciesla 2015-06-23 17:35:01 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2015-06-24 11:40:41 UTC
nodejs-wcwidth-1.0.0-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-wcwidth-1.0.0-6.fc21

Comment 12 Fedora Update System 2015-06-24 11:48:57 UTC
nodejs-wcwidth-1.0.0-5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nodejs-wcwidth-1.0.0-5.fc22

Comment 13 Fedora Update System 2015-07-03 18:46:21 UTC
nodejs-wcwidth-1.0.0-5.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-07-03 18:50:56 UTC
nodejs-wcwidth-1.0.0-6.fc21 has been pushed to the Fedora 21 stable repository.